UbuntuUpdates.org

Package "wayland"

Name: wayland

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • wayland compositor infrastructure - binary utilities
  • wayland compositor infrastructure - client library
  • wayland compositor infrastructure - cursor library
  • wayland compositor infrastructure - development files

Latest version: 1.12.0-1~ubuntu16.04.3
Release: xenial (16.04)
Level: security
Repository: main

Links

Save this URL for the latest version of "wayland": https://www.ubuntuupdates.org/wayland



Other versions of "wayland" in Xenial

Repository Area Version
base main 1.9.0-1
updates main 1.12.0-1~ubuntu16.04.3
PPA: Intel Linux Graphics 1.0.0-1ubuntu1~quantal
PPA: xorg-edgers 1.14.0-1~16.04~xedgers1
PPA: Gnome Shell 1.10.0-0ubuntu1~xenial0

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 1.12.0-1~ubuntu16.04.3 2018-04-09 18:06:54 UTC

  wayland (1.12.0-1~ubuntu16.04.3) xenial-security; urgency=medium

  * SECURITY UPDATE: heap overflows when parsing malicious files
    - debian/patches/CVE-2017-16612.patch: add checks to cursor/xcursor.c.
    - CVE-2017-16612

 -- Marc Deslauriers <email address hidden> Thu, 08 Mar 2018 12:22:08 +0100

Source diff to previous version
CVE-2017-16612 heap overflows when parsing malicious files

Version: 1.12.0-1~ubuntu16.04.2 2017-10-12 16:06:50 UTC

  wayland (1.12.0-1~ubuntu16.04.2) xenial-security; urgency=medium

  * No change rebuild in the -security pocket.

 -- Marc Deslauriers <email address hidden> Wed, 11 Oct 2017 14:27:48 -0400




About   -   Send Feedback to @ubuntu_updates